> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amazonomics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a search history item

> Remove one search from your history.



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/search/history/{id}
openapi: 3.0.0
info:
  title: Amazonomics API
  version: 0.0.1
  description: The Amazonomics REST API. All endpoints need an API key.
servers:
  - url: https://api.amazonomics.com
security:
  - bearerAuth: []
paths:
  /v1/search/history/{id}:
    delete:
      tags:
        - Search
      summary: Delete a search history item
      description: Remove one search from your history.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Search history item deleted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchHistoryDeleteResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchHistoryDeleteResponse'
        '404':
          description: Search history item not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchHistoryDeleteResponse'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchHistoryDeleteResponse'
components:
  schemas:
    SearchHistoryDeleteResponse:
      type: object
      properties:
        success:
          type: boolean
        deleted_count:
          type: integer
          minimum: 0
        error:
          type: object
          nullable: true
          properties:
            code:
              type: string
              description: The error code
            message:
              type: string
              description: The error message
            hint:
              type: string
              description: A hint to help the user fix the error
            docs:
              type: string
              description: A link to the documentation for the error
          required:
            - code
            - message
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````